

#define MAX_VIS_OBJECTS		256
#define MAX_VIS_DLIGHTS		16
#define MAX_VIS_SOUNDS		8


typedef struct {

// This stuff is a partial copy of Server's Player structure.
// Filled out by input routines, used for rendering also

	float cam_pos[3];
	float cam_angle;
	float head_yaw, head_pitch, head_roll;
	float body_yaw, body_roll;
	float cam_height;
	int player_action;
	int player_flags;
	int player_req;
	int req;

// The main BSP to render
	BSP *MainBSP;

// Visible objects
	POB VisObjects[MAX_VIS_OBJECTS];
	int NumVisObjects;

} ClientFrame;



int  Client_Init(EngineImport *eimp);
void Client_Shut(void);

void Client_GetInput(ClientFrame *cl);
void Client_SendUpdateToServer(ClientFrame *cl);	// net

void Client_Listen(ClientFrame *cl);			// net
void Client_ProcessFrame(ClientFrame *cl);

