
#include "..\engine.h"



static byte exp_ramp[]={	// length = 6, ticks_per_frame = 10
	 10, 10, 10,  0,
	 40, 40, 40,  0,
	100,100,100,  0,
	200,180,120,  0,
	255,200,100,  0,
	255,255,255,  0,
};



void Particles_MakeExplosion(float *c)
{
	Particle *p=AllocParticles(500);
	int i, count=500;

	while(p&&count>0) {
		for(i=0;i<3;i++) {
			p->c[i]=c[i]+(float)((rand()&31)-16);
			p->speed[i]=0.01f*(float)((rand()&511)-256);
		}

		p->ramp=exp_ramp;
		p->ramp_frame=5;
		p->ticks_per_frame=10;
		p->ticks_accum=0;

		p=p->next;
		count--;
	}
}


static byte splash_ramp[] = {	// length = 1, ticks_per_frame = 20;
	64,64,64,0
};

void Particles_MakeSplash(float *c)
{
	Particle *p=AllocParticles(4);
	int i, count=4;

	while(p&&count>0) {
		FVec_Copy(c,p->c);
		for(i=0;i<2;i++)
			p->speed[i]=0.01f*(float)((rand()&31)-16);
		p->speed[i]=0.01f*(float)((rand()&31));

		p->ramp=splash_ramp;
		p->ramp_frame=0;
		p->ticks_per_frame=20;
		p->ticks_accum=0;

		p=p->next;
		count--;
	}

}
