
#define MAX_SPR_FRAMES		512


typedef struct {
	char name[64];
	byte *pic;
	byte pal[768];
	int is_rgba;
	int width, height;
	int origin_x, origin_y;
} SPRFrame;

typedef struct {
	char  Name[64];
	int NumFrames;
	SPRFrame Frames[MAX_SPR_FRAMES];
} SPR;


int  SPR_Load(SPR *spr,char *name);
void SPR_Free(SPR *spr);

