#include "rogl.h"


// DirectDraw for full-screen
static LPDIRECTDRAW dDraw = NULL;

extern "C" {

BOOL DD_SetVideoMode(HWND hwnd,int width,int height,int colors)
{

	HRESULT ddrval;

	ddrval=DirectDrawCreate(NULL,&dDraw,NULL);
	if (ddrval!=DD_OK) return FALSE;

	ddrval=dDraw->SetCooperativeLevel(hwnd,DDSCL_EXCLUSIVE|DDSCL_FULLSCREEN);
	if (ddrval!=DD_OK) return FALSE;

	ddrval=dDraw->SetDisplayMode(width, height, colors);
	if (ddrval!=DD_OK ) return FALSE;

	// Workaround for RIVA 128
	ddrval=dDraw->SetCooperativeLevel(hwnd,(DDSCL_NORMAL|DDSCL_FULLSCREEN));
	if (ddrval != DD_OK) return FALSE;

	return TRUE;
}

void DD_Shut(void) 
{
	if (dDraw) {
		dDraw->Release();
		dDraw = NULL;
	}
}


}