#include "rsoft.h"


void Render_Particles(Particle *p, int type)
{
	float v[3];
	int x, y, i;
	short *zbuf, z;
	byte *buf;

	for(;p;p=p->next) {

	// Xform world->camera
		XformVertex(ccam,p->c,v);

	// Do 3D trivial object reject (check against frustrum and min_z)
		if (v[2]<MIN_Z) continue;
		if (v[2]< v[0]||v[2]< v[1]) continue;
		if (v[2]<-v[0]||v[2]<-v[1]) continue;

	// Project projectile
		ProjectVertex(ccam,v,v);

		x=(int)v[0]; y=(int)v[1];

	// Do 2d clipping
		if (x>ccam->width||x<0) continue;
		if (y>ccam->height||y<0) continue;

	// Z value
		z=(short)(v[2]*2.0*65536);

	// find pointers to the buffers
		i=(ccam->sy+y)*gfxScrWidth+(ccam->sx+x);
		buf =gfxBuffer+i;
		zbuf=ZBuffer+i;

	// Plot the particle
		if (z>(*zbuf)) {
			*buf=255;
			*zbuf=z;
		}
	}
}
