

typedef struct {
	int x, y;
	int inv_z;
	int clip;
	int s;
	int u, v;
	int onseam;
} TriVert;


void Tri_Init();

void Tri_SetClip(int x1, int y1, int x2, int y2);
void Tri_SetColor(int color);
void Tri_SetTexture(byte *texture, int tex_width);
void Tri_SetPalTable(byte *ptr);

void Tri_Flat(TriVert *v1, TriVert *v2, TriVert *v3);
void Tri_Flat_zbuf(TriVert *v1, TriVert *v2, TriVert *v3);
void Tri_Flat_zfill(TriVert *v1, TriVert *v2, TriVert *v3);

void Tri_Flat_Gouraud_zbuf(TriVert *v1, TriVert *v2, TriVert *v3);

void Tri_Tex_zbuf(TriVert *v1, TriVert *v2, TriVert *v3);
void Tri_Tex_zfill(TriVert *v1, TriVert *v2, TriVert *v3);

void Tri_Tex_Lambert_zbuf(TriVert *v1, TriVert *v2, TriVert *v3);

void Tri_Tex_Gouraud(TriVert *v1, TriVert *v2, TriVert *v3);
void Tri_Tex_Gouraud_zbuf(TriVert *v1, TriVert *v2, TriVert *v3);
void Tri_Tex_Gouraud_zfill(TriVert *v1, TriVert *v2, TriVert *v3);
