

#define MAX_OBJECTS		2048
#define MAX_PLAYERS		16



// The main world bsp
extern BSP WorldBSP;
extern char WorldBSPName[];

// All the objects in the world
extern Object Objects[];
extern int NumObjects;

// All the players (clients) in the world
extern Player Players[];
extern int NumPlayers;


extern int LocalInputPlayer, LocalOutputPlayer;


int  Server_Init(void);
void Server_Shut(void);

void Server_Listen(void);				// net
void Server_ProcessLocalInput(ClientFrame *local);

void Server_MakeFrames(ClientFrame *local);
void Server_SendUpdateToClient(int player_idx,ClientFrame *cl); // net

void Server_SendNewWorld(int player_idx);

int  Server_NewWorld(char *name);
void Server_FreeWorld(void);
void Server_UpdateWorld(void);

